# DescribeIndexParam.Builder

Package io.milvus.param.index

## Class DescribeIndexParam.Builder

- java.lang.Object
- - io.milvus.param.index.DescribeIndexParam.Builder

Enclosing class:
  DescribeIndexParam

    public static final class DescribeIndexParam.Builder
    extends java.lang.Object

Builder for `DescribeIndexParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeIndexParam` `build()` Verifies parameters and creates a new `DescribeIndexParam` instance.
`DescribeIndexParam.Builder` `withCollectionName​(@NonNull java.lang.String collectionName)` Sets the collection name.
`DescribeIndexParam.Builder` `withDatabaseName​(java.lang.String databaseName)` Sets the database name.
`DescribeIndexParam.Builder` `withIndexName​(java.lang.String indexName)` Sets the target index name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public DescribeIndexParam.Builder withDatabaseName​(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withCollectionName

    public DescribeIndexParam.Builder withCollectionName​(@NonNull
                                                         @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withIndexName

    public DescribeIndexParam.Builder withIndexName​(java.lang.String indexName)

Sets the target index name. Index name can be empty or null. If no index name is specified, then return all this collection indexes.

Parameters:
  `indexName` - field name
Returns:
  `Builder`

#### build

    public DescribeIndexParam build()
                             throws ParamException

Verifies parameters and creates a new `DescribeIndexParam` instance.

Returns:
  `DescribeIndexParam`
Throws:
  `ParamException`